Package org.apache.qpid.proton.codec

# Interface BigIntegerType.BigIntegerEncoding

All Superinterfaces:
  `PrimitiveTypeEncoding<BigInteger>`, `TypeConstructor<BigInteger>`, `TypeEncoding<BigInteger>`

Enclosing class:
  BigIntegerType

public static interface BigIntegerType.BigIntegerEncoding extends PrimitiveTypeEncoding<BigInteger>

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`readPrimitiveValue()`
`void`
`write(BigInteger l)`
`void`
`writeValue(BigInteger l)`

### Methods inherited from interface org.apache.qpid.proton.codec.PrimitiveTypeEncoding

`getConstructorSize, getEncodingCode, getType, writeConstructor`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeConstructor

`encodesJavaPrimitive, getTypeClass, readValue, skipValue`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeEncoding

`encodesJavaPrimitive, encodesSuperset, getValueSize, isFixedSizeVal`

## Method Details

### write

void write(BigInteger l)

### writeValue

void writeValue(BigInteger l)

Specified by:
  `writeValue` in interface `TypeEncoding<BigInteger>`

### readPrimitiveValue

BigInteger readPrimitiveValue()